
Infrastructure - Task #7136

Feature # 6498 (Closed): V2 Metacat MN and CN Support

MN.getPackage and CN.getPackage

2015-05-28 18:16 - Jing Tao

Status: Closed Start date: 2015-05-28

Priority: Normal Due date:  

Assignee: Jing Tao % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Milestone: None Story Points:  

Product Version: *   

Description

We have an initial work on MN.getPcakge and CN.getPackage. But we still need some work to be done.

History

#1 - 2015-05-28 18:34 - Jing Tao

- Assignee set to Jing Tao

#2 - 2015-07-14 21:35 - Jing Tao

- Status changed from New to In Progress

- % Done changed from 0 to 30

#3 - 2015-07-28 21:53 - Andrei Buium

MN.getPackage() accepts a packageType (Types.ObjectFormatIdentifier);

the ones that make sense, which currently have tests are:

application/zip

application/x-gzip

application/x-bzip2

application/x-tar

application/x-rar-compressed

(see org.dataone.integration.it.functional.MNPackageFunctionalIT)

Do we want to support all of these?

Right now they are returning exceptions like this:

NotFound: 1800:: No system metadata could be found for given PID: application%2Fzip/testGetPackage_resourceMap_20152099521112

(this was on mn-demo-8.test.dataone.org)

#4 - 2015-08-18 23:35 - Jing Tao

So far, we only support applicaton/bagit and zip as the serialization type. 

The test also passed.
#5 - 2015-08-21 18:07 - Jing Tao

- translation missing: en.field_remaining_hours set to 0.0

- % Done changed from 30 to 100

- Status changed from In Progress to Closed

Andrei and I tested it. It worked.
